Bug 1702076 - group filters based on openstack providers not respected in pod list
Summary: group filters based on openstack providers not respected in pod list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.4
Hardware: All
OS: All
low
low
Target Milestone: GA
: 5.10.4
Assignee: Nick LaMuro
QA Contact: Antonin Pagac
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1631694
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-22 21:54 UTC by Satoe Imaishi
Modified: 2019-11-12 03:39 UTC (History)
12 users (show)

Fixed In Version: 5.10.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1631694
Environment:
Last Closed: 2019-05-21 05:46:56 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:04 UTC

Comment 2 CFME Bot 2019-04-24 19:47:09 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/9abba2b4e6e4811bbd6242ad1e16543047a2c7a6
commit 9abba2b4e6e4811bbd6242ad1e16543047a2c7a6
Author:     Keenan Brock <keenan@thebrocks.net>
AuthorDate: Mon Apr 15 08:33:33 2019 -0400
Commit:     Keenan Brock <keenan@thebrocks.net>
CommitDate: Mon Apr 15 08:33:33 2019 -0400

    Merge pull request #18654 from NickLaMuro/fix-container-group-entitlement-filtering-in-rbac

    Fix Container* belongsto filter in Rbac::Filterer

    (cherry picked from commit 171c2815e96c61858a224ec431b939f8c39be1b2)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1702076

 lib/rbac/filterer.rb | 46 +-
 spec/lib/rbac/filterer_spec.rb | 73 +
 2 files changed, 117 insertions(+), 2 deletions(-)

Comment 3 Antonin Pagac 2019-04-26 09:16:12 UTC
Verified with 5.10.4.0.

User can now see only providers based on filters set in Hosts & Clusters tab in user Group. Same with pods.

Comment 5 errata-xmlrpc 2019-05-21 05:46:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247

Comment 6 Sudhir Mallamprabhakara 2019-11-12 03:39:49 UTC
Changing the test coverage to + as we have the test coverage covered in the original BZ 1631694


Note You need to log in before you can comment on or make changes to this bug.